For the complete documentation index, see llms.txt. This page is also available as Markdown.

Playbook Groups

Get all playbook groups for a playbook.

get
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
playbookIdentifierstringRequired
Responses
200

OK

objectIdentifierstring · uuidRequired
namestring · nullableRequired
descriptionstring · nullableOptional
flowGroupTypestring · enumOptionalPossible values:
dateAddedstring · date-timeOptional
orderNumberinteger · int32Optional
get/playbooks/{playbookIdentifier}/groups
GET /playbooks/{playbookIdentifier}/groups HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "description": "text",
    "flowGroupType": "singleDocumentCollection",
    "dateAdded": "2026-01-01T00:00:00.000Z",
    "orderNumber": 1
  }
]

Create a new playbook group for a playbook.

post
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
playbookIdentifierstringRequired
Body
namestring · nullableRequired
descriptionstring · nullableOptional
multiDocumentbooleanOptional
flowGroupTypestring · enumOptionalPossible values:
Responses
201

Created

objectIdentifierstring · uuidRequired
namestring · nullableRequired
descriptionstring · nullableOptional
flowGroupTypestring · enumOptionalPossible values:
dateAddedstring · date-timeOptional
orderNumberinteger · int32Optional
post/playbooks/{playbookIdentifier}/groups
POST /playbooks/{playbookIdentifier}/groups HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 100

{
  "name": "text",
  "description": "text",
  "multiDocument": true,
  "flowGroupType": "singleDocumentCollection"
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "flowGroupType": "singleDocumentCollection",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "orderNumber": 1
}

Get a specific playbook group by object identifier.

get
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Responses
200

OK

objectIdentifierstring · uuidRequired
namestring · nullableRequired
descriptionstring · nullableOptional
flowGroupTypestring · enumOptionalPossible values:
dateAddedstring · date-timeOptional
orderNumberinteger · int32Optional
get/playbooks/{playbookIdentifier}/groups/{objectIdentifier}
GET /playbooks/{playbookIdentifier}/groups/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "flowGroupType": "singleDocumentCollection",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "orderNumber": 1
}

Update an existing playbook group for a playbook.

put
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Body
namestring · nullableRequired
descriptionstring · nullableOptional
flowGroupTypestring · enumOptionalPossible values:
Responses
200

OK

objectIdentifierstring · uuidRequired
namestring · nullableRequired
descriptionstring · nullableOptional
flowGroupTypestring · enumOptionalPossible values:
dateAddedstring · date-timeOptional
orderNumberinteger · int32Optional
put/playbooks/{playbookIdentifier}/groups/{objectIdentifier}
PUT /playbooks/{playbookIdentifier}/groups/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 79

{
  "name": "text",
  "description": "text",
  "flowGroupType": "singleDocumentCollection"
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "flowGroupType": "singleDocumentCollection",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "orderNumber": 1
}

Delete a playbook group from a playbook.

delete
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Responses
204

No Content

No content

delete/playbooks/{playbookIdentifier}/groups/{objectIdentifier}
DELETE /playbooks/{playbookIdentifier}/groups/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Persist a new tab order for the playbook's groups.

patch
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
playbookIdentifierstringRequired
Body
orderedGroupObjectIdentifiersstring · uuid[] · nullableOptional
Responses
204

No Content

No content

patch/playbooks/{playbookIdentifier}/groups/reorder
PATCH /playbooks/{playbookIdentifier}/groups/reorder HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 74

{
  "orderedGroupObjectIdentifiers": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}

No content

Last updated